log.h File Reference
`#include <glib.h>`
`#include "vmware/tools/guestrpc.h"`
`#include "vm_basic_types.h"`

Go to the source code of this file.

## Macros

#define | FUNC __FUNCTION__
#define | g_info(fmt, ...) g_log(G_LOG_DOMAIN, G_LOG_LEVEL_INFO, fmt, ## __VA_ARGS__)
#define | VMTOOLS_LOGGING_LEVEL_DEFAULT "message"
#define | vm_critical(fmt, ...) g_critical("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_debug(fmt, ...) g_debug("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_error(fmt, ...) g_error("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_info(fmt, ...) g_info("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_message(fmt, ...) g_message("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_warning(fmt, ...) g_warning("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | VM_SAFE_STR(string) (string != NULL ? string : "(NULL)")
#define | host_warning(fmt, ...) VMTools_Log(TO_HOST, G_LOG_LEVEL_WARNING, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)
#define | guest_warning(fmt, ...) VMTools_Log(IN_GUEST, G_LOG_LEVEL_WARNING, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)
#define | host_message(fmt, ...) VMTools_Log(TO_HOST, G_LOG_LEVEL_MESSAGE, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)
#define | guest_message(fmt, ...) VMTools_Log(IN_GUEST, G_LOG_LEVEL_MESSAGE, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)
#define | host_info(fmt, ...) VMTools_Log(TO_HOST, G_LOG_LEVEL_INFO, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)
#define | guest_info(fmt, ...) VMTools_Log(IN_GUEST, G_LOG_LEVEL_INFO, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)
#define | host_debug(fmt, ...) VMTools_Log(TO_HOST, G_LOG_LEVEL_DEBUG, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)
#define | guest_debug(fmt, ...) VMTools_Log(IN_GUEST, G_LOG_LEVEL_DEBUG, G_LOG_DOMAIN, fmt, ## __VA_ARGS__)

## Enumerations

enum | LogWhere { TO_HOST , IN_GUEST }

## Functions

G_BEGIN_DECLS void | VMTools_ConfigLogToStdio (const gchar *domain)
void | VMTools_ConfigLogging (const gchar *defaultDomain, GKeyFile *cfg, gboolean force, gboolean reset)
void | VMTools_UseVmxGuestLog (const gchar *appName)
void | VMTools_SetupVmxGuestLog (gboolean refreshRpcChannel, GKeyFile *cfg, const gchar *level)
void | VMTools_TeardownVmxGuestLog (void)
void | VMTools_Log (LogWhere where, GLogLevelFlags level, const gchar *domain, const gchar *fmt,...)
void | VMTools_VmxLog (RpcChannel *chan, const gchar *fmt,...)
void | VMTools_VmxLogThrottled (uint32 *count, RpcChannel *chan, const gchar *fmt,...)

## Detailed Description

Some wrappers around glib log functions, expanding their functionality to support common usage patterns at VMware.